
# Stops script execution on first error
$ErrorActionPreference = "stop";

# Exit Codes
$ErrorCode_Success = 0;
$ErrorCode_Failed = 1;

try 
{
    $xmlFolder = "C:\WanArp"
    New-Item -ItemType Directory -Force -Path $xmlFolder
    $taskXml = get-childitem -Name WanArpv6.xml

    Write-Output "Installing Gateway powershell .."

    Add-WindowsFeature RemoteAccess
    Add-WindowsFeature DirectAccess-VPN
    Add-WindowsFeature Routing
    Add-WindowsFeature RSAT-RemoteAccess-Powershell

    Write-Output "Copying task XML .."

    copy $taskXml $xmlFolder

    Write-Output "Creating startup task .."

    $taskXmlPath = $xmlFolder + "\" + $taskXml
    schtasks /Create /XML $taskXmlPath /TN StartWanArpv6
    Start-ScheduledTask -TaskName StartWanArpv6

    Write-Output "Setting up Remote access .."

    Install-RemoteAccess -MultiTenancy -ErrorAction Ignore
    Install-RemoteAccess -RoleType SstpProxy -ErrorAction Ignore
}
catch 
{
    Write-Output "Caught an exception:";
    Write-Output "    Exception Type: $($_.Exception.GetType().FullName)";
    Write-Output "    Exception Message: $($_.Exception.Message)";
    Write-Output "    Exception HResult: $($_.Exception.HResult)";
    Exit $($_.Exception.HResult);
}  

Write-Output "Completed execution of script."
Exit $ErrorCode_Success   